Delete Collection
DELETE
/v1/collections/{collection_id}
const url = 'https://api.cloud.agentums.ru/v1/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.cloud.agentums.ru/v1/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Удалить папку. Файлы при этом не удаляются.
Они теряют связь с этой папкой и остаются в остальных, а тем, для кого удаляемая была основной, основная переизбирается из оставшихся (или обнуляется). Вложенные папки не удаляются — всплывают в корень. Заметка-знания проекта уходит в корзину, откуда её можно вернуть.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»collection_id
required
Collection Id
string format: uuid
Responses
Заголовок раздела «Responses»Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}